# List of options · fastText

Invoke a command without arguments to list available arguments and their default values:

    $ ./fasttext supervised
    Empty input or output path.

    The following arguments are mandatory:
      -input              training file path
      -output             output file path

      The following arguments are optional:
      -verbose            verbosity level [2]

      The following arguments for the dictionary are optional:
      -minCount           minimal number of word occurrences [1]
      -minCountLabel      minimal number of label occurrences [0]
      -wordNgrams         max length of word ngram [1]
      -bucket             number of buckets [2000000]
      -minn               min length of char ngram [0]
      -maxn               max length of char ngram [0]
      -t                  sampling threshold [0.0001]
      -label              labels prefix [__label__]

      The following arguments for training are optional:
      -lr                 learning rate [0.1]
      -lrUpdateRate       change the rate of updates for the learning rate [100]
      -dim                size of word vectors [100]
      -ws                 size of the context window [5]
      -epoch              number of epochs [5]
      -neg                number of negatives sampled [5]
      -loss               loss function {ns, hs, softmax} [softmax]
      -thread             number of threads [12]
      -pretrainedVectors  pretrained word vectors for supervised learning []
      -saveOutput         whether output params should be saved [0]

      The following arguments for quantization are optional:
      -cutoff             number of words and ngrams to retain [0]
      -retrain            finetune embeddings if a cutoff is applied [0]
      -qnorm              quantizing the norm separately [0]
      -qout               quantizing the classifier [0]
      -dsub               size of each sub-vector [2]

Defaults may vary by mode. (Word-representation modes `skipgram` and `cbow` use a default `-minCount` of 5.)

Hyperparameter optimization (autotune) is activated when you provide a validation file with `-autotune-validation` argument.

    The following arguments are for autotune:
      -autotune-validation            validation file to be used for evaluation
      -autotune-metric                metric objective {f1, f1:labelname} [f1]
      -autotune-predictions           number of predictions used for evaluation  [1]
      -autotune-duration              maximum duration in seconds [300]
      -autotune-modelsize             constraint model file size [] (empty = do not quantize)

← Cheatsheet Text classification →